  function OnSceneEnter()
--[[ rozpoczecie dialogu przy pierwszym wejsciu
	if s.s01_0300_laboratory_visit==0 then
		Sleep(1500)
		GoTo("s01_0301_irene")
	end
-- rozpoczecie dialogu po rozwiazaniu I zagadki
	if s.s01_0303_balance_solved==1 and s.dlg_s01_11==0 then
		Sleep(1500)
		GoTo("s01_0301_irene")
	end	
-- rozpoczecie dialogu po rozwiazaniu II zagadki
	if s.s01_0304_burner_solved==1 and s.dlg_s01_15==0 then
		Sleep(1500)
		GoTo("s01_0301_irene")
	end	
]]	
end
